
/* ======== LOADER & SPINNER ========== */
.loader {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
   
    z-index: 22;
}

.loader .loader-inner{
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 13px;
}

.loader h1 {
    font-size: 16px;
    color: rgb(24, 24, 24)
}

.loader .spinner {
    border: 13px solid #CAC4D0;
    border-bottom: 13px solid #6750A4;
    border-radius: 50%;
    width: 77px;
    height: 77px;
    animation: loading 2.2s ease-in-out infinite;
}

@keyframes loading {
    0%{ transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


/* ======== LOAD ERROR ========== */
.error {
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    text-align: center;
    z-index: 33;
    animation: errorShow .7s ease-in-out;
}

.error .error-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.error .error-inner > div {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.error button{
    padding: 13px 22px;
    background-color: rgb(24, 24, 24);
    color: #fff;
    font-weight: bolder;
}

.error button{
    border-left:thin solid #fff;
}

.error p {
    background-color: rgb(190, 81, 81);
    color: #fff;
    padding: 13px;
    font-weight: bold;
}

@keyframes errorShow {
    0%{ opacity: 0; }
    100% { opacity: 1; }
}

@media screen and (max-width: 500px) {
    .error .error-inner > div {
        flex-direction: column;
        gap: 7px;
    }


    .error button{
        border-left: none;
    }


}